# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`cachefilesd`](#cachefilesd): Manage cachefilesd

## Classes

### <a name="cachefilesd"></a>`cachefilesd`

Manage cachefilesd

#### Examples

##### 

```puppet
include cachefilesd
```

#### Parameters

The following parameters are available in the `cachefilesd` class:

* [`manage_repo`](#-cachefilesd--manage_repo)
* [`manage_package`](#-cachefilesd--manage_package)
* [`package_name`](#-cachefilesd--package_name)
* [`package_ensure`](#-cachefilesd--package_ensure)
* [`manage_config`](#-cachefilesd--manage_config)
* [`config_path`](#-cachefilesd--config_path)
* [`manage_dir`](#-cachefilesd--manage_dir)
* [`filesecctx`](#-cachefilesd--filesecctx)
* [`dir`](#-cachefilesd--dir)
* [`cache_tag`](#-cachefilesd--cache_tag)
* [`brun`](#-cachefilesd--brun)
* [`bcull`](#-cachefilesd--bcull)
* [`bstop`](#-cachefilesd--bstop)
* [`frun`](#-cachefilesd--frun)
* [`fcull`](#-cachefilesd--fcull)
* [`fstop`](#-cachefilesd--fstop)
* [`secctx`](#-cachefilesd--secctx)
* [`culltable`](#-cachefilesd--culltable)
* [`nocull`](#-cachefilesd--nocull)
* [`resume_thresholds`](#-cachefilesd--resume_thresholds)
* [`manage_service`](#-cachefilesd--manage_service)
* [`service_name`](#-cachefilesd--service_name)
* [`service_ensure`](#-cachefilesd--service_ensure)
* [`service_enable`](#-cachefilesd--service_enable)

##### <a name="-cachefilesd--manage_repo"></a>`manage_repo`

Data type: `Boolean`

Boolean that determines if managing package repo.
Only used by Debian 10 at this time

Default value: `true`

##### <a name="-cachefilesd--manage_package"></a>`manage_package`

Data type: `Boolean`

Boolean that determines if package resource is managed.

Default value: `true`

##### <a name="-cachefilesd--package_name"></a>`package_name`

Data type: `String[1]`

Package name for cachefilesd

Default value: `'cachefilesd'`

##### <a name="-cachefilesd--package_ensure"></a>`package_ensure`

Data type: `String[1]`

Package ensure property

Default value: `'installed'`

##### <a name="-cachefilesd--manage_config"></a>`manage_config`

Data type: `Boolean`

Boolean that determines if config is managed.

Default value: `true`

##### <a name="-cachefilesd--config_path"></a>`config_path`

Data type: `Stdlib::Absolutepath`

Path to cachefilesd.conf

Default value: `'/etc/cachefilesd.conf'`

##### <a name="-cachefilesd--manage_dir"></a>`manage_dir`

Data type: `Boolean`

Booleans that determines if `dir` resource is managed.

Default value: `true`

##### <a name="-cachefilesd--filesecctx"></a>`filesecctx`

Data type: `String[1]`

SELinux security context for the `dir` resource

Default value: `'system_u:object_r:cachefiles_var_t:s0'`

##### <a name="-cachefilesd--dir"></a>`dir`

Data type: `Stdlib::Absolutepath`

cachefilesd `dir` config option

Default value: `'/var/cache/fscache'`

##### <a name="-cachefilesd--cache_tag"></a>`cache_tag`

Data type: `Variant[String[1], Boolean]`

cachefilesd `tag` config option

Default value: `'CacheFiles'`

##### <a name="-cachefilesd--brun"></a>`brun`

Data type: `Integer[0,99]`

cachefilesd `brun` config option

Default value: `10`

##### <a name="-cachefilesd--bcull"></a>`bcull`

Data type: `Integer[0,99]`

cachefilesd `bcull` config option

Default value: `7`

##### <a name="-cachefilesd--bstop"></a>`bstop`

Data type: `Integer[0,99]`

cachefilesd `bstop` config option

Default value: `3`

##### <a name="-cachefilesd--frun"></a>`frun`

Data type: `Integer[0,99]`

cachefilesd `frun` config option

Default value: `10`

##### <a name="-cachefilesd--fcull"></a>`fcull`

Data type: `Integer[0,99]`

cachefilesd `fcull` config option

Default value: `7`

##### <a name="-cachefilesd--fstop"></a>`fstop`

Data type: `Integer[0,99]`

cachefilesd `fstop` config option

Default value: `3`

##### <a name="-cachefilesd--secctx"></a>`secctx`

Data type: `String[1]`

cachefilesd `secctx` config option

Default value: `'system_u:system_r:cachefiles_kernel_t:s0'`

##### <a name="-cachefilesd--culltable"></a>`culltable`

Data type: `Integer[12,20]`

cachefilesd `culltable` config option

Default value: `12`

##### <a name="-cachefilesd--nocull"></a>`nocull`

Data type: `Boolean`

cachefilesd `nocull` config option

Default value: `false`

##### <a name="-cachefilesd--resume_thresholds"></a>`resume_thresholds`

Data type: `Optional[String[1]]`

cachefilesd `resume_thresholds` config option

Default value: `undef`

##### <a name="-cachefilesd--manage_service"></a>`manage_service`

Data type: `Boolean`

Boolean that determines if cachefilesd service is managed.

Default value: `true`

##### <a name="-cachefilesd--service_name"></a>`service_name`

Data type: `String[1]`

cachefilesd service name

Default value: `'cachefilesd'`

##### <a name="-cachefilesd--service_ensure"></a>`service_ensure`

Data type: `String[1]`

cachefilesd service ensure property

Default value: `'running'`

##### <a name="-cachefilesd--service_enable"></a>`service_enable`

Data type: `Variant[Boolean, Enum['UNSET']]`

cachefilesd service enable property

Default value: `true`

